#include "Complex.h"

complex make_complex(double real, double imag)
{
    complex c;
    c.real = real;
    c.imag = imag;
    return c;
};

complex complex_sum(complex c1, complex c2)
{
    return make_complex(c1.real + c2.real,
                        c1.imag + c2.imag);
};

void print_complex(complex c)
{
  Serial.println(c.real);
  Serial.print("+");
  Serial.println(c.imag);
  Serial.print("i");
}

void setup() {
  Serial.begin(9600);
  
  // put your setup code here, to run once:
  complex c1 = make_complex(3, 4);
  complex c2 = make_complex(5, 6);
  complex c3 = complex_sum(c1, c2);
}

void loop() {
  // put your main code here, to run repeatedly: 
  
}
